Package com.xceptance.xlt.api.report

# Class AbstractReportProvider

java.lang.Object
com.xceptance.xlt.api.report.AbstractReportProvider

All Implemented Interfaces:
  `ReportCreator`, `ReportProvider`

public abstract class AbstractReportProvider extends Object implements ReportProvider
The `AbstractReportProvider` class provides common functionality of a typical report provider.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractReportProvider()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ReportProviderConfiguration`
  `getConfiguration()`
  Returns the report provider's configuration.
  `boolean`
  `lock()`
  Tries to lock this provider for data record processing.
  `void`
  `processAll(PostProcessedDataContainer dataContainer)`
  Processes all data records in the passed container to gather information needed for the test report.
  `void`
  `setConfiguration(ReportProviderConfiguration config)`
  Sets the report provider's configuration.
  `void`
  `unlock()`
  Unlocks this provider after data record processing has finished.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.xceptance.xlt.api.report.ReportCreator

  `createReportFragment`

  ### Methods inherited from interface com.xceptance.xlt.api.report.ReportProvider

  `processDataRecord, wantsDataRecords`

- ## Constructor Details

  - ### AbstractReportProvider

    public AbstractReportProvider()

- ## Method Details

  - ### getConfiguration

    public ReportProviderConfiguration getConfiguration()
    Returns the report provider's configuration. Use the configuration object to get access to general as well as provider-specific properties stored in the global configuration file.
    Returns:
      the report provider configuration

  - ### setConfiguration

    public void setConfiguration(ReportProviderConfiguration config)
    Sets the report provider's configuration. Use the configuration object to get access to general as well as provider-specific properties stored in the global configuration file.
    Specified by:
      `setConfiguration` in interface `ReportProvider`
    Parameters:
      `config` - the report provider configuration

  - ### lock

    public boolean lock()
    Tries to lock this provider for data record processing.
    Specified by:
      `lock` in interface `ReportProvider`
    Returns:
      `true` if the lock could be acquired, `false` if this provider is already locked by another thread

  - ### unlock

    public void unlock()
    Unlocks this provider after data record processing has finished.
    Specified by:
      `unlock` in interface `ReportProvider`

  - ### processAll

    public void processAll(PostProcessedDataContainer dataContainer)
    Processes all data records in the passed container to gather information needed for the test report. Typically, only some internal statistics will be updated.

    This method should call `ReportProvider.processDataRecord(Data)` for each data record in the container.

    Specified by:
      `processAll` in interface `ReportProvider`
    Parameters:
      `dataContainer` - the data records to process